Subject: Re: [bug#70422] [PATCH 1/1] gnu: lynis: update to 3.1.1

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Fri, 24 Jan 2025 13:45:49 +0100

nik gaffney writes:

Hello!

I've changed the commit message to be compliant

      ## Commit message ##
    -    gnu: lynis: update to 3.1.1
    +    gnu: lynis: update to 3.1.1.
    +
    +    * gnu/packages/admin.scm (lynis): Update to 3.1.1.
     
         Change-Id: I3d06c9ca6472da63eda0bf809c83d7fd521789ff
     
you may want to have a look at the "Contributing" section of the manual
and have a glance at previous commit messages for similar patches.

I've added your copyright

      ## gnu/packages/admin.scm ##
    +@@
    + ;;; Copyright © 2024 Ashish SHUKLA <[email-masked]>
    + ;;; Copyright © 2024 Ashvith Shetty <[email-masked]>
    + ;;; Copyright © 2025 Dariqq <[email-masked]>
    ++;;; Copyright © 2024 nik gaffney <[email-masked]>
    + ;;;
    + ;;; This file is part of GNU Guix.
    + ;;;

> Change-Id: I3d06c9ca6472da63eda0bf809c83d7fd521789ff
> ---
>  gnu/packages/admin.scm | 10 +++++-----
>  1 file changed, 5 insertions(+), 5 deletions(-)
>
> diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
> index b60857b264..59ce57ab2e 100644
> --- a/gnu/packages/admin.scm
> +++ b/gnu/packages/admin.scm
> @@ -4740,16 +4740,16 @@ (define-public lynis
>    (package
>      (name "lynis")
>      ;; Also update the ‘lynis-sdk’ input to the commit matching this release.
> -    (version "3.0.9")
> +    (version "3.1.1")
>      (source
>       (origin
>         (method git-fetch)
>         (uri (git-reference
>               (url "https://github.com/CISOfy/lynis")
> -             (commit version)))
> +             (commit "60afce6d8110ee9e88ac9e9d0e0346b1cf222b5e")))

And also, I removed this change as it is unnecessary and it also
obfuscates the fact that we are in fact using version 3.1.1.

Thanks!  Pushed to master as dac917ebe43c00588992dae8b20bd4c9a824609d.

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com